> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payruns



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/payrolls
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls:
    get:
      tags:
        - Core
        - Payrolls
      summary: List Payruns
      operationId: list_payruns_organizations__organization_id__payrolls_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: created_at_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At From
        - name: created_at_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At To
        - name: updated_at_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At From
        - name: updated_at_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At To
        - name: approved_at_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At From
        - name: approved_at_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At To
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_PayRunResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PaginatedResponse_PayRunResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayRunResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[PayRunResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayRunResponse:
      properties:
        id:
          type: string
          title: Id
        external_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: External Ref
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
        paid_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid On
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        pay_group:
          anyOf:
            - $ref: '#/components/schemas/PayGroupResponse'
            - type: 'null'
        pay_calendar:
          anyOf:
            - $ref: '#/components/schemas/PayCalendarResponse'
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - id
        - external_ref
        - approved_at
        - paid_on
        - created_at
        - updated_at
        - pay_group
        - pay_calendar
      title: PayRunResponse
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PayGroupResponse:
      properties:
        name:
          type: string
          title: Name
        period_type:
          type: string
          enum:
            - WEEK
            - MONTH
          title: Period Type
        payroll_mode:
          $ref: '#/components/schemas/PayrollMode'
          default: positive_pay
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - name
        - period_type
        - id
      title: PayGroupResponse
    PayCalendarResponse:
      properties:
        start_date:
          type: string
          format: date
          title: Start Date
        end_date:
          type: string
          format: date
          title: End Date
        pay_date:
          type: string
          format: date
          title: Pay Date
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - start_date
        - end_date
        - pay_date
        - id
      title: PayCalendarResponse
    PayrollMode:
      type: string
      enum:
        - positive_pay
        - net_change
      title: PayrollMode
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````